summaryrefslogtreecommitdiffstats
path: root/initrd/initrd-stuff/bin
diff options
context:
space:
mode:
authorMichael Janczyk2006-08-31 18:30:16 +0200
committerMichael Janczyk2006-08-31 18:30:16 +0200
commitc10e082c55a72a7557af0f7ab8579fd98f17b73a (patch)
tree3082d561aee895c25ed805af292972094832ed30 /initrd/initrd-stuff/bin
parentForgot to delete Debugmessage (diff)
downloadcore-c10e082c55a72a7557af0f7ab8579fd98f17b73a.tar.gz
core-c10e082c55a72a7557af0f7ab8579fd98f17b73a.tar.xz
core-c10e082c55a72a7557af0f7ab8579fd98f17b73a.zip
Fixing error in uri_token function (server was not read correctly),
adding possibility to provide Xorg config file via ConfTGZ (if /rootfs${D_XF86CONFFILE is present the automatic configuration is NOT run anymore - nothing changes if not provided. Xorg configs from stage1, stage2 exports are ignored) ... git-svn-id: http://svn.openslx.org/svn/openslx/trunk@349 95ad53e4-c205-0410-b2fa-d234c58c8868
Diffstat (limited to 'initrd/initrd-stuff/bin')
-rwxr-xr-xinitrd/initrd-stuff/bin/hwautocfg15
-rwxr-xr-xinitrd/initrd-stuff/bin/servconfig35
2 files changed, 26 insertions, 24 deletions
diff --git a/initrd/initrd-stuff/bin/hwautocfg b/initrd/initrd-stuff/bin/hwautocfg
index d3417514..aeb8d5a5 100755
--- a/initrd/initrd-stuff/bin/hwautocfg
+++ b/initrd/initrd-stuff/bin/hwautocfg
@@ -3,7 +3,7 @@
# universal (distro independent) hardware autoconfiguration script for
# OpenSLX linux diskless clients, using hwconfig from knoppix as base tool
#
-# Dirk von Suchodoletz <dvs@OpenSLX.com>, 30-08-2006
+# Dirk von Suchodoletz <dvs@OpenSLX.com>, 31-08-2006
#
# (c) 2003 - 2006 - RZ Universitaet Freiburg
# (c) 2006 - OpenSLX.org
@@ -381,10 +381,15 @@ if [ -z "${KEYTABLE}" ] ; then
KEYTABLE=${DEFKEYTABLE}
fi
-# run X11 / Xorg configurator
-. /etc/sysconfig/xserver >/dev/null 2>&1 || error "$hcfg_hwsetup" nonfatal
-( displaysetup /etc/xorg.conf; echo "ready" > /tmp/xready ) &
-
+# run X11 / Xorg configurator if no xorg.conf file was provided by
+# ConfigTGZ (check for /rootfs/${D_XF86CONFFILE#/mnt})
+if [ -f /rootfs${D_XF86CONFFILE#/mnt} ] ; then
+ echo "ready" > /tmp/xready
+else
+ . /etc/sysconfig/xserver >/dev/null 2>&1 || error "$hcfg_hwsetup" nonfatal
+ ( displaysetup /etc/xorg.conf; echo "ready" > /tmp/xready ) &
+fi
+
# get idea of availabe harddisk partitions, put swap partitions into
# (/mnt)/etc/fstab and format and mount partitions of type 44 (unknown)
for hd in $(cat /tmp/hwsetup.info|sed -n -e '/HD$/,/device:/p'| \
diff --git a/initrd/initrd-stuff/bin/servconfig b/initrd/initrd-stuff/bin/servconfig
index c2264674..8c7e05c3 100755
--- a/initrd/initrd-stuff/bin/servconfig
+++ b/initrd/initrd-stuff/bin/servconfig
@@ -1,18 +1,15 @@
#!/bin/sh
#
-# Description: universal (distro independent) configuration script
-# for linux diskless clients (executed within initial
-# ramdisk)
+# universal (distro independent) configuration script for OpenSLX linux
+# diskless clients (executed in stage3 within initial ramfs)
#
-# Author(s): Dirk von Suchodoletz <dirk@goe.net>, 20-08-2006
-# Michael Janczyk <mj0>, 31-05-2006
-# Lars Mueller <lm@openslx.org>, 23-06-2006
-# Oliver Tappe <ot@openslx.org>, 23-06-2006
+# Dirk von Suchodoletz <dirk@goe.net>, 31-08-2006
+# Michael Janczyk <mj0>, 31-05-2006
+# Lars Mueller <lm@OpenSLX.com>, 23-06-2006
+# Oliver Tappe <ot@OpenSLX.com>, 23-06-2006
#
-# Copyright: (c) 2006 - RZ Universitaet Freiburg
-# (c) 2006 - openslx.org project
-#
-# Version: 0.1.2c
+# (c) 2006 - RZ Universitaet Freiburg
+# (c) 2006 - OpenSLX.ORG Project
# check for configuration files to source
@@ -55,7 +52,7 @@ echo "
| |_| | | |_| | | |___ | ___/
_____/ |______/ |______| |__|
- Diskless Workstation (v4.0/$dstr (c) <odl project>
+ Diskless Workstation (v4.1/$dstr (c) <OpenSLX.ORG>
">/mnt/etc/issue
#######################################################################
@@ -83,16 +80,16 @@ if [ "x$vmware" != "x" ] && [ "x$vmware" != "xno" ] ; then
ln -sf /usr/share/vmware /mnt/var/lib/vmware
elif [ -n "${imgsrv}" ] ; then
# get type, server and path of VMware image export
- vmimgsprot=$(uri_token $imgsrv prot)
- vmimgsserv=$(uri_token $imgsrv server)
- vmimgspath="/$(uri_token $imgsrv path)"
- case "$vmimgsprot" in
+ vmimgprot=$(uri_token $imgsrv prot)
+ vmimgserv=$(uri_token $imgsrv server)
+ vmimgpath="/$(uri_token $imgsrv path)"
+ case "${vmimgsprot}" in
*nbd)
;;
*)
# we expect nfs mounts here ...
- nfsmnt ${imgsrv} /mnt/var/lib/vmware || {
- error "$scfg_nfs" nonfatal; noimg=yes; }
+ nfsmnt ${vmimgserv}:${vmimgpath} /mnt/var/lib/vmware || {
+ error "${scfg_nfs}" nonfatal; noimg=yes; }
;;
esac
fi
@@ -104,7 +101,7 @@ if [ -z "$country" ] ; then
error "$scfg_country" nonfatal
country=${D_DEFAULTCOUNTRY}
fi
-localization $country
+localization ${country}
#######################################################################
# setup passwd and shadow for local system users like root, bin, daemon